RESTinio

Public Member Functions | Private Member Functions | Private Attributes | List of all members
restinio::easy_parser::impl::just_result_consumer_t< Result_Type > Class Template Reference

A consumer for the case when a specific value should be used as the result instead of the value produced on the previous step. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::just_result_consumer_t< Result_Type >:

## Public Member Functions
template<typename Result_Arg >
| just_result_consumer_t (Result_Arg &&result) noexcept(noexcept(Result_Type{std::forward< Result_Arg >(result)}))
template<typename Target_Type , typename Value >
void | consume (Target_Type &dest, Value &&) const

## Private Member Functions
Result_Type | make_copy_of_result () const noexcept(noexcept(Result_Type{m_result}))

## Private Attributes
Result_Type | m_result

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

template<typename Result_Type>
class restinio::easy_parser::impl::just_result_consumer_t< Result_Type >

A consumer for the case when a specific value should be used as the result instead of the value produced on the previous step.

Since
  v.0.6.6

Definition at line 2891 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## ◆ just_result_consumer_t()

template<typename Result_Type >
template<typename Result_Arg >

restinio::easy_parser::impl::just_result_consumer_t< Result_Type >::just_result_consumer_t | ( | Result_Arg && | result | ) |
| inline noexcept

Definition at line 2910 of file easy_parser.hpp.

## Member Function Documentation

## ◆ consume()

template<typename Result_Type >
template<typename Target_Type , typename Value >

void restinio::easy_parser::impl::just_result_consumer_t< Result_Type >::consume | ( | Target_Type & | dest,
|  | Value && |
| ) |  | const
| inline

Definition at line 2917 of file easy_parser.hpp.

## ◆ make_copy_of_result()

template<typename Result_Type >

Result_Type restinio::easy_parser::impl::just_result_consumer_t< Result_Type >::make_copy_of_result | ( |  | ) | const
| inline private noexcept

Definition at line 2902 of file easy_parser.hpp.

## Member Data Documentation

## ◆ m_result

template<typename Result_Type >

Result_Type restinio::easy_parser::impl::just_result_consumer_t< Result_Type >::m_result
| private

Definition at line 2893 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp